org.apache.cassandra.metrics

## Class ClientRequestMetrics

- java.lang.Object
- - org.apache.cassandra.metrics.LatencyMetrics
  - - org.apache.cassandra.metrics.ClientRequestMetrics

Direct Known Subclasses:
  CASClientRequestMetrics, ViewWriteMetrics

    public class ClientRequestMetrics
    extends LatencyMetrics

### Field Summary

Fields
`com.codahale.metrics.Meter` `failures`
`com.codahale.metrics.Meter` `timeouts`
`com.codahale.metrics.Meter` `unavailables`

### Fields inherited from class org.apache.cassandra.metrics.LatencyMetrics

`aliasFactory, factory, latency, namePrefix, totalLatency`

### Constructor Summary

Constructors
Constructor and Description
`ClientRequestMetrics(java.lang.String scope)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `release()`

### Methods inherited from class org.apache.cassandra.metrics.LatencyMetrics

`addNano`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### timeouts

    public final com.codahale.metrics.Meter timeouts

#### unavailables

    public final com.codahale.metrics.Meter unavailables

#### failures

    public final com.codahale.metrics.Meter failures

### Constructor Detail

#### ClientRequestMetrics

    public ClientRequestMetrics(java.lang.String scope)

### Method Detail

#### release

    public void release()

Overrides:
  `release` in class `LatencyMetrics`